OpenMarine

Full Version: OpenPlotter 3 roadmap
You're currently viewing a stripped down version of our content. View the full version with proper formatting.
Pages: 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35
Got a npm 'malformed' error when installing signalk server.
Seems 'bullseye' is missing in the /etc/apt/sources.list.d/openplotterNodejs.list definition


it should be:
deb https://deb.nodesource.com/node_16.x bullseye  main
deb-src https://deb.nodesource.com/node_16.x  bullseye main
(2022-05-21, 11:03 AM)rovinggecko Wrote: [ -> ]Got a npm 'malformed' error when installing signalk server.
Seems 'bullseye' is missing in the /etc/apt/sources.list.d/openplotterNodejs.list definition


it should be:
deb https://deb.nodesource.com/node_16.x bullseye  main
deb-src https://deb.nodesource.com/node_16.x  bullseye main

what is your OS?

EDIT: I think I know what is going on. There are changes in openplotter-settings to improve codenames management. You should add sources again in settings and then re-install signal k. This can happen in alpha versions.
I have optimized codenames management for ubuntu and derivatives like Mint etc.
Running it on rpi4, 64 bit.
Will try your suggestion. Currently I did a manual edit.
fyi,
I rebooted my op3 after installing the updated settings app. It showed that opencpn installer was not installed. I then installed it but when I refreshed, it stuck on the checking…….status. Now the check system crashes after it returns about 7 lines of text to the dialogue.
I suspect it may be the latest update causing this bu it could be something I have done.
Clean install next.
Paul
Following on from above, 
Installing from scratch, first step after booting the February alpha image was to update, I immediately got the error:

Error installing packages - The following
packages have unmet dependencies
openplotter-settings: Depends: ntp but it
is not installable
OK

I get the same error using the open plotter settings update and the task bar updates available icon.

Using 
Sudo apt full-upgrade 
completed successfully and the settings app was updated to 3.3.1 and all the other updates applied
(Raspi OS 64bit)
Next step, install the other op3 apps……

Yet another update - apologies for all the messages.

Re-booted after updating above.
Opened OP Settings 3.1.1
Clicked on Refresh

Now stuck on ‘checking apps list, please wait……..’
(List of apps is no longer populated.)

Closed settings app.
Tried to re-open but just get the hourglass for around 15 seconds but settings doesn’t open.

Rebooted, check system crashes before completing and settings app doesn’t open.
type in a terminal:

Code:
openplotter-settings

and paste here the error you get.
(2022-05-21, 04:46 PM)Sailoog Wrote: [ -> ]type in a terminal:

Code:
openplotter-settings

and paste here the error you get.

pi@raspberrypi:- $ openplotter-settings
E: Malformed entry 1 in list file /etc/apt/sources.list.d/openplotterNodejs.List (Component)
E: The list of sources could not be read.
Traceback (most recent call last) :
File "/usr/bin/openplotter-settings",
line 11, in smodule>
load entry point ('openplotterSettings==3.3.1'
'consöle_scripts",
'openplotter-settings')()
File "/usr/lib/python3/dist-packages/openplotterSettings/openplotterSettings.py",
, line 1028, in main
MyFrame () . Show()
File
"/usr/lib/python3/dist-packages/openplotterSettings/openplotterSettings.py",line96,in
_init.
self.pageApps()
File "/usr/Lib/python3/dist-packages/openplotterSettings/openplotterSettings.py",line719,inpageApps
sources = subprocess. check_output (['apt -cache'
'policy']). decode (sys.stdin.encoding)
File "/usr/lib/python3.9/subprocess.py"
line 424, in check_output
return run(*popenargs, stdout=PIPE, timeout=timeout, check=True,
File "/us/Lib/python3.9/subprocess.py", line 528, in run
raise CalledProcessError(retcode, process args,
subprocess.CalledProcessError: Command
*[*apt-cache', 'policy']' returned non-zero exit status 100.

Note: this is ocr read from my iPad camera so not 100% accurate (some ‘ have been recognised as * etc.)
Let me know if you require a more accurate copy.

(2022-05-21, 05:19 PM)Paul M Wrote: [ -> ]
(2022-05-21, 04:46 PM)Sailoog Wrote: [ -> ]type in a terminal:

Code:
openplotter-settings

and paste here the error you get.
Just realised I can cut and paste using VNC (doh) 

pi@raspberrypi:~ $ openplotter-settings
E: Malformed entry 1 in list file /etc/apt/sources.list.d/openplotterNodejs.list (Component)
E: The list of sources could not be read.
Traceback (most recent call last):
  File "/usr/bin/openplotter-settings", line 11, in <module>
    load_entry_point('openplotterSettings==3.3.1', 'console_scripts', 'openplotter-settings')()
  File "/usr/lib/python3/dist-packages/openplotterSettings/openplotterSettings.py", line 1028, in main
    MyFrame().Show()
  File "/usr/lib/python3/dist-packages/openplotterSettings/openplotterSettings.py", line 96, in __init__
    self.pageApps()
  File "/usr/lib/python3/dist-packages/openplotterSettings/openplotterSettings.py", line 719, in pageApps
    sources = subprocess.check_output(['apt-cache', 'policy']).decode(sys.stdin.encoding)
  File "/usr/lib/python3.9/subprocess.py", line 424, in check_output
    return run(*popenargs, stdout=PIPE, timeout=timeout, check=True,
  File "/usr/lib/python3.9/subprocess.py", line 528, in run
    raise CalledProcessError(retcode, process.args,
subprocess.CalledProcessError: Command '['apt-cache', 'policy']' returned non-zero exit status 100.
pi@raspberrypi:~ $ 
delete /etc/apt/sources.list.d/openplotterNodejs.list file and then click "add sources" in openplotter-settings.
I get the following response when adding sources:

OpenPlotter packages source already exists
free-x packages source already exists


Pressing refresh takes a while but gives the expected result. (50 seconds)
OK, that sounds like a progress Smile

Today I will publish new versions for apps using sources (dashboards, signal k, opencpn, settings). Now you should not have problems installing openplotter in any Debian derivative and any Ubuntu derivative.
Pages: 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35